Debian Bug report logs - #458432
xterm does not display Unicode glyphs beyond \uFFFF

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: "Dr. Markus Waldeck" <waldeck@gmx.de>

Date: Mon, 31 Dec 2007 10:12:02 UTC

Severity: normal

Tags: confirmed, fixed-upstream, upstream

Found in version xterm/229-1

Fixed in version xterm/244-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458432; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "Dr. Markus Waldeck" <waldeck@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dr. Markus Waldeck" <waldeck@gmx.de>
To: submit@bugs.debian.org
Subject: xterm does not display Unicode glyphs beyond \uFFFF
Date: Mon, 31 Dec 2007 11:10:49 +0100
Package: xterm
Version: 229-1
Severity: normal

I tested the fonts in the package ttf-ancient-fonts.
The work fine with openoffice and eclipse.

But if I start an xterm with "-fa Akkadian" only glyphs
below \uFFFF are displayed.

Is this a limitation in xterm?


-- 
Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen! 
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458432; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 458432@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: "Dr. Markus Waldeck" <waldeck@gmx.de>, 458432@bugs.debian.org
Subject: Re: Bug#458432: xterm does not display Unicode glyphs beyond \uFFFF
Date: Mon, 31 Dec 2007 10:23:31 -0500
[Message part 1 (text/plain, inline)]
On Mon, Dec 31, 2007 at 11:40:08AM +0100, Dr. Markus Waldeck wrote:
> 
> Package: xterm
> Version: 229-1
> Severity: normal
> 
> I tested the fonts in the package ttf-ancient-fonts.
> The work fine with openoffice and eclipse.
> 
> But if I start an xterm with "-fa Akkadian" only glyphs
> below \uFFFF are displayed.
> 
> Is this a limitation in xterm?

yes.  TrueType fonts might not have this limitation, but bitmap
fonts have only the XDrawString16 interface to write characters.
xterm is translating codes outside 0-0xffff to the replacement
character.

(I should investigate this further - thanks for the reminder)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458432; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "Dr. Markus Waldeck" <waldeck@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 458432@bugs.debian.org (full text, mbox):

From: "Dr. Markus Waldeck" <waldeck@gmx.de>
To: Thomas Dickey <dickey@radix.net>, 458432@bugs.debian.org
Subject: Re: Bug#458432: xterm does not display Unicode glyphs beyond \uFFFF
Date: Mon, 31 Dec 2007 16:40:14 +0100
> yes.  TrueType fonts might not have this limitation, but bitmap
> fonts have only the XDrawString16 interface to write characters.
> xterm is translating codes outside 0-0xffff to the replacement
> character.
> 
> (I should investigate this further - thanks for the reminder)

Thank you for the answer!

Unfortunately there is no XDrawString32 :-(

-- 
Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen! 
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458432; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 458432@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: "Dr. Markus Waldeck" <waldeck@gmx.de>, 458432@bugs.debian.org
Subject: Re: Bug#458432: xterm does not display Unicode glyphs beyond \uFFFF
Date: Mon, 31 Dec 2007 11:41:49 -0500
[Message part 1 (text/plain, inline)]
On Mon, Dec 31, 2007 at 05:10:08PM +0100, Dr. Markus Waldeck wrote:
> > yes.  TrueType fonts might not have this limitation, but bitmap
> > fonts have only the XDrawString16 interface to write characters.
> > xterm is translating codes outside 0-0xffff to the replacement
> > character.
> > 
> > (I should investigate this further - thanks for the reminder)
> 
> Thank you for the answer!
> 
> Unfortunately there is no XDrawString32 :-(

yes - but TrueType fonts use a different interface, which apparently
does not have the same limitation (that's how xfd is able to display
the font).  I might have noticed this earlier, but was unfamiliar
with fonts using codes past 0xffff.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458432; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "Dr. Markus Waldeck" <waldeck@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 458432@bugs.debian.org (full text, mbox):

From: "Dr. Markus Waldeck" <waldeck@gmx.de>
To: Thomas Dickey <dickey@radix.net>, 458432@bugs.debian.org
Subject: Re: Bug#458432: xterm does not display Unicode glyphs beyond \uFFFF
Date: Tue, 01 Jan 2008 18:14:28 +0100
> I might have noticed this earlier, but was unfamiliar
> with fonts using codes past 0xffff.

The oldest known script is sumerian cuneiform.
I searched for free fonts and found George Douros fonts
which were included in Debian after an wnpp.

Fortunately the fonts use Unicode encoding
which I prefer since I studied in Japan.
According to wikipedia (http://en.wikipedia.org/wiki/Unicode_cuneiform)
sumerian cuneiform are included since Unicode 5.0.

> but TrueType fonts use a different interface, which apparently
> does not have the same limitation (that's how xfd is able to display
> the font).  

Is it possibe to use this functionality in xterm?

-- 
GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458432; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 458432@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: "Dr. Markus Waldeck" <waldeck@gmx.de>, 458432@bugs.debian.org
Subject: Re: Bug#458432: xterm does not display Unicode glyphs beyond \uFFFF
Date: Wed, 2 Jan 2008 08:08:14 -0500
[Message part 1 (text/plain, inline)]
On Tue, Jan 01, 2008 at 07:00:17PM +0100, Dr. Markus Waldeck wrote:
> > I might have noticed this earlier, but was unfamiliar
> > with fonts using codes past 0xffff.
> 
> The oldest known script is sumerian cuneiform.
> I searched for free fonts and found George Douros fonts
> which were included in Debian after an wnpp.
> 
> Fortunately the fonts use Unicode encoding
> which I prefer since I studied in Japan.
> According to wikipedia (http://en.wikipedia.org/wiki/Unicode_cuneiform)
> sumerian cuneiform are included since Unicode 5.0.
> 
> > but TrueType fonts use a different interface, which apparently
> > does not have the same limitation (that's how xfd is able to display
> > the font).  
> 
> Is it possibe to use this functionality in xterm?

That's what you're using if you type

	xterm -fa Akkadian

bitmap fonts use a different (-fn) option.  However, xterm is translating
all of the above-0xffff values to the replacement character as it reads
them.  To change this, I'll have to undo that - but replace the check
with several other changes in the program to make bitmap fonts still work.
(I didn't do that this week since I was closing out changes for #230).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to "Dr. Markus Waldeck" <waldeck@gmx.de>:
Bug#458432. Full text and rfc822 format available.

Message #33 received at 458432-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 458432-submitter@bugs.debian.org
Subject: re: #458432 xterm does not display Unicode glyphs beyond \uFFFF
Date: Sun, 02 Mar 2008 17:01:49 -0500
[Message part 1 (text/plain, inline)]
This is technically doable, but hard with the way xterm's organizing the
cells (unless it allows ordinary configurations to all become slower).

At the moment, xterm's organized cell storage as multiples of 8 or 16-bits
for wide-characters, and those are fed via a path (in 48 places...)
that provides the 16-bits as two strings of 8-bit values.

I'm thinking how best to rewrite that, e.g., to a single string of 32-bit
values...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed, upstream Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 19 Mar 2008 00:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#458432; Package xterm. (Sun, 09 Aug 2009 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 09 Aug 2009 21:54:03 GMT) Full text and rfc822 format available.

Message #40 received at 458432@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 458432@bugs.debian.org
Subject: re: #458432 xterm does not display Unicode glyphs beyond \uFFFF
Date: Sun, 09 Aug 2009 17:49:27 -0400
[Message part 1 (text/plain, inline)]
This is addressed in patch #244

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sun, 09 Aug 2009 21:57:03 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 10 Aug 2009 16:09:09 GMT) Full text and rfc822 format available.

Notification sent to "Dr. Markus Waldeck" <waldeck@gmx.de>:
Bug acknowledged by developer. (Mon, 10 Aug 2009 16:09:10 GMT) Full text and rfc822 format available.

Message #47 received at 458432-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 458432-close@bugs.debian.org
Subject: Bug#458432: fixed in xterm 244-1
Date: Mon, 10 Aug 2009 15:51:00 +0000
Source: xterm
Source-Version: 244-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_244-1.diff.gz
  to pool/main/x/xterm/xterm_244-1.diff.gz
xterm_244-1.dsc
  to pool/main/x/xterm/xterm_244-1.dsc
xterm_244-1_i386.deb
  to pool/main/x/xterm/xterm_244-1_i386.deb
xterm_244.orig.tar.gz
  to pool/main/x/xterm/xterm_244.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458432@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Aug 2009 16:30:29 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 244-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 378700 458432 522141 538594
Changes: 
 xterm (244-1) unstable; urgency=low
 .
   * New upstream release
     + remove a limit-check in ptydata.c, allowing Unicode values past 64k to
       be displayed using TrueType fonts (closes: #458432)
     + demote recent (xterm 242) change to Debian #252873 fix to experimental,
       ifdef'd out as EXP_BOGUS_FG (closes: #522141)
     + work around groff mapping of ASCII quotes using macros (requested by
       Reuben Thomas based on Colin Watson advice (closes: #378700)
   * Switch debian/rules to xsfbs instead of copying half of (an outdated
     version of) it (closes: #538594).  Incidentally, this provides
     README.source, and allows us to bump Standards-Version to 3.8.2.
   * Remove preinst dealing with upgrades from pre-etch versions.
   * Remove from postinst some code to fix pre-etch non-released versions.
   * Refresh/update patches.
   * Bump debian/compat to 5, as compatibility level 4 has been deprecated.
   * Remove obsolete debian/README.
Checksums-Sha1: 
 8484e62d1fcbcf0059f8a4e9ba40b48d1850f6aa 1339 xterm_244-1.dsc
 3393a28bfe19d23d5f234ec5bceafefd61c5986c 882642 xterm_244.orig.tar.gz
 155d89746199a8cbbfd868370e1c5c1791f88b0d 73013 xterm_244-1.diff.gz
 a890ba49613af766155956c418b76874c3212496 495426 xterm_244-1_i386.deb
Checksums-Sha256: 
 3758d663b5f4add240ac7fdc16ef0265dabadb2f2c68b41df50c7c1b4f230afd 1339 xterm_244-1.dsc
 b253870e0cc4d702a77ae63df1ed8933274f79d56060add48e8ee714ceac1e5b 882642 xterm_244.orig.tar.gz
 4be08c3ebe4cc7e9a46a72e3053cee14cbbc37f52b73b7898864bfb7b67c2cfc 73013 xterm_244-1.diff.gz
 28a1e3c2e9b37cf12c9d1d0057eed30eeed49b80830e1953ce7ed0d4986d726d 495426 xterm_244-1_i386.deb
Files: 
 084610a5c7f72f5f5d0b35d50ba14696 1339 x11 optional xterm_244-1.dsc
 9133a24dde377ad355139f5d6bc9b336 882642 x11 optional xterm_244.orig.tar.gz
 d842c65c7b40d17e89d45e09dc9b6b44 73013 x11 optional xterm_244-1.diff.gz
 61295959c9eb34352ed54bd57b930bbe 495426 x11 optional xterm_244-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqAL7oACgkQmEvTgKxfcAxktQCgpAuUS4CPkbLp2YrITM4+7sEf
wX8AnR3xrRKXLppS3ZqlAD5NleVTQtke
=H6v+
-----END PGP SIGNATURE-----





Message #48 received at 458432-done@bugs.debian.org (full text, mbox):

From: "Dr. Markus Waldeck" <waldeck@gmx.de>
To: dickey@his.com, 458432-done@bugs.debian.org
Subject: Re: Bug#458432: fixed in xterm 244-1
Date: Thu, 13 Aug 2009 16:49:12 +0200
It works fine.

Thank you very much!

Markus

-- 
GRATIS für alle GMX-Mitglieder: Die maxdome Movie-FLAT!
Jetzt freischalten unter http://portal.gmx.net/de/go/maxdome01




Message #49 received at 458432-done@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: "Dr. Markus Waldeck" <waldeck@gmx.de>
Cc: 458432-done@bugs.debian.org
Subject: Re: Bug#458432: fixed in xterm 244-1
Date: Thu, 13 Aug 2009 12:02:21 -0400 (EDT)
On Thu, 13 Aug 2009, Dr. Markus Waldeck wrote:

>
> It works fine.
>
> Thank you very much!

no problem (report bugs).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Sep 2009 07:30:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:49:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.